package PrintCSSJ;

use strict;
use CGI;
use LWP::UserAgent;
use HTTP::Request::Common;
use XML::XPath;
use open ":utf8";

sub do_upload() {
    my ($params) = @_;
    my %params = %$params;

    my $action = 'http://print.cssj.jp/2/info/if/incomming.php';
    my $query = new CGI;
    # multipart/form-data形式でリクエストを送信
    my $ua = LWP::UserAgent->new;
    my $multipart = POST $action,
         Content_Type => 'form-data',
         Content      => [ %params ];
    my $response = $ua->request($multipart);

    if ($response->is_success) {
        my $xpath = XML::XPath->new($response->content);
        my $error = $xpath->findvalue('/response/error/text()');
        my %result = ( 'error'=>$error->value );
        if ($result{'error'} == 1)
        {
            my $message = $xpath->findvalue('/response/message/text()');
            $result{'message'} = $message->value;
        }
        else
        {
            my $redirect = $xpath->findvalue('/response/redirect/text()');
            $result{'redirect'} = $redirect->value;
        }
        return %result;
    }
    return 0;
}

1;